<div class="container-m--x bredcrumb engine_container">
    <div class="row px-4 f-16 white">
        <div class="col-md-4">
            <span class="cursor" (click)="goToDefaultPage()"><i class="las la-home f-18 "></i></span><span class="px-3"><i
                class="las la-angle-right f-12 "></i></span>
            <span class="f-14 custom-breadcrumb">Intelligence Apps</span></div>
    </div>
</div>

<div class="container-m--x" *blockUI="'global-loader'; template: blockTemplate">

    <div class="row">

        <div class="col-md-9 engine_sideicon">
            <div class="row">
                <!-- title bar -->
                <div class="col-md-12 d-flex mt-4 mb-2">
                    <div class="col-md-10 pl-2">
                        <div class="d-flex align-items-center">
                            <div><i class="las la-atom mr-1 f-24 text-gray55"></i></div>
                            <div class="epage-title pl-1">Intelligence Apps </div>
                            <div class="epage-title pl-1">({{visible_status_count?.length}}/{{engines?.length}})</div>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="float-right mr-2">
                            <div class="btn-group btn-group-sm btn-group-toggle etab-bg">
                                <label class="btn btn-default cursor"
                                    [ngClass]="isgridtab== true ?'etab-active':'etab-inactive'" (click)="gridtab()">
                                    <span><i class="las la-border-all f-18"></i></span>
                                </label>
                                <label class="btn btn-default cursor"
                                    [ngClass]="isListtab== true ? 'etab-active':'etab-inactive'" (click)="listtab()">
                                    <span><i class="las la-bars f-18"></i></span>
                                </label>
                            </div>
                        </div>

                    </div>
                    <!-- <div class="col-md-2 d-flex">
                    <div  ngbDropdown [placement]="isRTL ? 'bottom-left' : 'bottom-center'" class=" pt-1">
                      <button ngbDropdownToggle class="btn btn-sm   borderless md-btn-flat   f-16 lSpace">
                        <i class="las la-filter mr-1 fa-lg "></i>Filter </button>
                      <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="mt-1 "
                        style="box-shadow: 0px 3px 10px 1px #7d7d7d5c !important;">
                        <a class="dropdown-item" href="javascript:void(0)"><span >Content.....</span></a>
                        <a class="dropdown-item" href="javascript:void(0)"><span >Content.....</span></a>
                        <a class="dropdown-item" href="javascript:void(0)"><span >Content.....</span></a>
                      </div>
                    </div>
                    <div  ngbDropdown [placement]="isRTL ? 'bottom-left' : 'bottom-center'" class="ml-1 pt-1">
                      <button ngbDropdownToggle class="btn btn-sm   borderless md-btn-flat   f-16 lSpace">
                        <i class="las la-sort-alpha-up-alt mr-1 fa-lg "></i>Sort </button>
                      <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="mt-1 "
                        style="box-shadow: 0px 3px 10px 1px #7d7d7d5c !important;">
                        <a class="dropdown-item" href="javascript:void(0)"><span >Content.....</span></a>
                        <a class="dropdown-item" href="javascript:void(0)"><span >Content.....</span></a>
                        <a class="dropdown-item" href="javascript:void(0)"><span >Content.....</span></a>
                      </div>
                    </div>


                    </div> -->
                </div>
                <!-- title bar -->
                <!-- left side -->
                <div class="col-md-3 mt-3">
                    <button class="btn btn-default hide-arrow WSF borderless engine-tab-btn px-2 text-left"
                            *ngFor="let g of groupArr" (click)="filter_category(g)"
                            [ngClass]="{'engine-tab-btn-active': selected_tab_active?.group_name === g.group_name}">
                        <span class="ml-4 pl-2 WSF">{{g.group_name}}</span>
                    </button>
                </div>
                <!-- left side -->
                <!-- Center content -->
                <div class="col-md-9 elp-left-space mt-3">
                    <div class="row elp_leftspace_row">
                        <div class="card-body px-0 pt-0 pb-3 cardbody_height mt-3" *ngIf="isListtab" [perfectScrollbar]>
                            <div *ngFor="let listData of list_group; index as i" class="list-bottom-space"
                                 id="scroll_postion_{{listData.group_name}}">
                                <div class="elist-title pl-3"><span>{{listData.group_name}}</span><span
                                        class="pl-1">({{listData.activeStatus}}/{{listData.groupItem.length}})</span>
                                </div>
                                <div class="pl-3">
                                    <hr class="elist-hr">
                                </div>
                                <div *ngFor="let p of listData.groupItem" (click)="redirect_engine_page(p);"
                                     class="mt-3 pr-0 pl-3 elp-card mb-2 pb-2"
                                     [ngClass]="{'cursor-pointer': p.status === '1'}">
                                    <div class="card border-radius-10"
                                         [ngClass]="{'selected-state': (p.status === '1' && p.insight_name === selected_card.insight_name),
                                         'visible-state': p.status === '1' &&  p.insight_name !== selected_card.insight_name,
                                         'lock-state': p.status === '0'}">
                                        <div *ngIf="p.status === '0'" class="redirect_enginepage"></div>
                                        <div class="list-group list-group-flush elp-card-shadow px-3 pt-3 pb-2">
                                            <div class="elp-img"
                                                 [style.background]="'url(assets/imgs/engine_landing/'+ p.image+')'">
                                                <div class="title-section ">
                                                <span [ngClass]="{'selected-title': (p.status === '1' && p.insight_name === selected_card.insight_name),
                                                'visible-title': p.status === '1' &&  p.insight_name !== selected_card.insight_name,
                                                'lock-title': p.status === '0'}">{{p?.insight_name}}</span>
                                                </div>
                                                <div class="content-section mt-1">
                                                    <div class="d-flex">
                                                        <div class="d-flex align-items-md-end pb-1"
                                                             *ngIf="p.status === '0'">
                                                            <div><i class="las la-lock lock-icon"></i></div>
                                                        </div>
                                                        <div class="d-flex align-items-md-end pb-1"
                                                             *ngIf="p.status === '1'">
                                                            <div (click)="display_a_card(p);$event.stopPropagation()">
                                                                <i class="las la-info-circle  f-24 elp-info-icon"></i>
                                                            </div>
                                                        </div>
                                                        <div class="ml-auto" style="height: 80px;width: 60px;">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="engine-bottom_transp_div ml-3"></div>
                        </div>
                        <div class="card-body px-0 pt-0 pb-3 cardbody_height" *ngIf="isgridtab" [perfectScrollbar]>
                            <!-- selected state cars -->

                            <div *ngFor="let p of filter_engines; let i=index;" (click)="redirect_engine_page(p);"
                                 class="pt-3 mb-3 pr-0 pl-3 elp-card"
                                 [ngClass]="{'cursor-pointer': p.status === '1'}">
                                 <app-hint [id]="'disabled-apps'" *ngIf="i == 6 && p.status === '0'" (click)="$event.stopPropagation()"></app-hint>
                                <div class="card border-radius-10"
                                     [ngClass]="{'selected-state': (p.status === '1' && p.insight_name === selected_card.insight_name),
                                         'visible-state': p.status === '1' &&  p.insight_name !== selected_card.insight_name,
                                         'lock-state': p.status === '0'}">
                                    <div *ngIf="p.status === '0'" class="redirect_enginepage"></div>
                                    <div class="list-group list-group-flush elp-card-shadow px-3 pt-3 pb-2">

                                        <div class="elp-img"
                                             [style.background]="'url(assets/imgs/engine_landing/'+ p.image+')'">
                                            <!-- <div (click)="stopPropagation($event)"> -->
                                                <app-hint [id]="'learn-more'" *ngIf="i == 0 && p.status === '1'" (click)="$event.stopPropagation()"></app-hint>
                                                

                                            <!-- </div> -->
                                            <div class="title-section ">
                                                <span [ngClass]="{'selected-title': (p.status === '1' && p.insight_name === selected_card.insight_name),
                                                'visible-title': p.status === '1' &&  p.insight_name !== selected_card.insight_name,
                                                'lock-title': p.status === '0'}">{{p?.insight_name}}</span>
                                            </div>
                                            <div class="content-section mt-1">
                                                <div class="d-flex">
                                                    <div class="d-flex align-items-md-end pb-1"
                                                         *ngIf="p.status === '0'">
                                                        <div><i class="las la-lock lock-icon"></i></div>
                                                    </div>

                                                    <div class="d-flex align-items-md-end pb-1"
                                                         *ngIf="p.status === '1'">
                                                        <!-- <div><i class="las la-stream stream-icon"></i></div>
                                                        <div class="f-14 font-weight-normal text-gray55 pl-1">{{p.outline_count}}</div>
                                                        -->
                                                        <div (click)="display_a_card(p);$event.stopPropagation()"><i
                                                                class="las la-info-circle  f-24 elp-info-icon"></i>
                                                        </div>
                                                    </div>

                                                    <div class="ml-auto" style="height: 80px;width: 60px;">
                                                        <!-- <img [src]="'assets/imgs/engine_landing/'+ p.image"
                                                             class="engine-svg-img"> -->
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="engine-bottom_transp_div ml-3"></div>
                        </div>
                       

                        <div *ngIf="false">
                            <!-- Temp Hidden for demo1 -->
                            <div>
                                <i class="las la-envelope mr-1 f-16"></i><span class="f-16">Subscriptions</span></div>
                            <div>
                                <div class="card-body px-0 py-3">
                                    <div class="mr-3 cardbody_mr3">
                                        <div class="card mb-3 border-radius-10 insights-tab-links bottom-shadow card-link">
                                            <div class="list-group list-group-flush">
                                                <div class="px-3 pt-3 pb-2">
                                                    <div class="title-section">
                      <span class="f-14">Net Sales Analysis of Crispy Avocado Sandwich in Texas & California for
                        November in 2019</span>
                                                    </div>
                                                    <div class="content-section mt-1">
                                                        <div class="text-right pt-2">
                                                            <div><i class="las la-cube f-25 cursor"
                                                                    style="color: #6CC9A8;"></i></div>
                                                            <div class="float-left fw-700">
                                                                <i class="las la-stream text-muted  align-items-end"></i>
                                                                <span class="f-14">15</span>
                                                            </div>
                                                            <div class="text-muted f-12">December 21, 2019</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                <!-- Center content -->
            </div>
        </div>
        <!-- right side -->
        <div class="col-md-3 bg-white px-4" style="height:80vh;" *ngIf="selected_card">
            <div class="pt-3 dis-flex-row">
                  <span class="mb-3">
                    <img [src]="'assets/imgs/engine_landing/' + selected_card.image" class="sidebar-img">
                  </span>
                <div class="selected-card-title fw-500 WSF text-gray33 ml-1rem mb-3">{{selected_card?.insight_name}}</div>
                <!--  <div style="display:grid;">
                      <i class="las la-share-square f-25"></i>
                      <i class="las la-trash-alt f-25 cursor"></i>
                  </div>-->
            </div>
            <!-- <div class="font-weight-normal f-14 text-gray77 pr-4 pb-3">{{selected_card?.insight_description}}</div> -->
            <!--  <div class="f-14 w-65 mb-2">
                  <span class="WSF text-gray77 font-weight-normal">Updated Date</span>
                  <span class="float-right font-weight-normal text-gray33">November 13, 2019</span>
              </div>-->
            <div id="engine_comp" class="mt-3 pr-2 mr-2 mega-dropdown outline-container"
                 style="max-height: 60vh;width: 100%"
                 [perfectScrollbar]>
                <ngb-tabset class="nav-tabs-top  landing-tab">
                    <ngb-tab *ngFor="let s of selected_card?.hs_info">
                        <ng-template ngbTabTitle>
                            <span class="tab-title text-capitalize">{{s.name}}</span>
                        </ng-template>
                        <ng-template ngbTabContent>
                            <div class="card-body"
                                 style="overflow: hidden;overflow-y: auto;"
                                 [perfectScrollbar]>
                                <div class="font-weight-normal text-gray33 f-14 mb-3 mt-2 right-des"
                                     [innerHTML]='s.description | safeHtml'></div>
                            </div>
                        </ng-template>
                        <ng-template ngbTabContent *ngIf="s?.outline">
                            <div class="group-container olgroup-container remove-placeholder">
                                <div id="olgroup-outline" class="outLine mt-31">
                                    <div class="example-container"
                                         [ngClass]="fg?.childs?.length>1 ? 'outline-group': 'mt-8' "
                                         *ngFor="let fg of s.outline;index as i;index as j"
                                         (click)="redirect_engine_page(selected_card)">
                                        <!-- [ngClass]="{'mh-0 bor-none' : group.childs.length === 0}" -->
                                        <div class="example-list remove_dynamic"
                                             [ngClass]="{'mh-5' : fg.childs.length === 0, 'set_padding_bottom' : fg.childs.length > 0}"
                                             id={{fg.id}}>
                                            <div class="example-box"
                                                 *ngFor="let singleItem of fg.childs">
                                                <button style="cursor: pointer;"
                                                        class="btn btn-default text-left w-100 ml-0 borderless bg-gray95 outlinechild-hover">
                                                    {{singleItem?.title}}
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </ng-template>
                    </ngb-tab>
                </ngb-tabset>
            </div>
            <div style="background: #fff;position: absolute;bottom: -8vh;right: 0;height: 12vh;width: 100%;"></div>
        </div>
        <!-- right side -->
    </div>
</div>

<div *blockUI="'global-loader'; template: blockTemplate"></div>
<ng-template #blockTemplate>
    <div class="block-ui-template">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <img src="../../assets/img/hx-loader-logo.svg" class="loader-svg">
            </div>
            <div class="loading-text-material pt-5 mt-4">
                <p class="text-center text-white">{{loadingText}} </p>
            </div>
        </div>
    </div>
</ng-template>

